## dkms 3.0.12

=== Makefile ===
RELEASE_DATE := "24 September 2023"
RELEASE_MAJOR := 3
RELEASE_MINOR := 0
RELEASE_MICRO := 12
RELEASE_NAME := dkms
RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
SHELL=bash

SBIN = /usr/sbin
LIBDIR = /usr/lib/dkms
KCONF = /etc/kernel
SYSTEMD = /usr/lib/systemd/system

#Define the top-level build directory
BUILDDIR := $(shell pwd)

all: dkms dkms.8 dkms_autoinstaller dkms.service kernel_install.d_dkms kernel_postinst.d_dkms

clean:
	-rm -rf dist/
	-rm -rf dkms
	-rm -rf dkms.8
	-rm -rf dkms_autoinstaller
	-rm -rf dkms.service
	-rm -rf kernel_install.d_dkms
	-rm -rf kernel_postinst.d_dkms

dkms: dkms.in
	sed -e 's/#RELEASE_STRING#/$(RELEASE_STRING)/' $^ > $@

dkms.8: dkms.8.in
	sed -e 's/#RELEASE_STRING#/$(RELEASE_STRING)/' -e 's/#RELEASE_DATE#/$(RELEASE_DATE)/' $^ > $@

dkms_autoinstaller: dkms_autoinstaller.in
	sed -e 's,@SBINDIR@,$(SBIN),g' $^ > $@

dkms.service: dkms.service.in
	sed -e 's,@SBINDIR@,$(SBIN),g' $^ > $@

kernel_install.d_dkms: kernel_install.d_dkms.in
	sed -e 's,@KCONFDIR@,$(KCONF),g' $^ > $@

kernel_postinst.d_dkms: kernel_postinst.d_dkms.in
	sed -e 's,@LIBDIR@,$(LIBDIR),g' $^ > $@

install: all
	$(if $(strip $(VAR)),$(error Setting VAR is not supported))
	install -d -m 0755 $(DESTDIR)/var/lib/dkms
ifneq (,$(DESTDIR))
	$(if $(filter $(DESTDIR)%,$(SBIN)),$(error Using a DESTDIR as prefix for SBIN is no longer supported))
	$(if $(filter $(DESTDIR)%,$(LIBDIR)),$(error Using a DESTDIR as prefix for LIBDIR is no longer supported))
	$(if $(filter $(DESTDIR)%,$(KCONF)),$(error Using a DESTDIR as prefix for KCONF is no longer supported))
endif
	install -D -m 0755 dkms $(DESTDIR)$(SBIN)/dkms
	install -D -m 0755 dkms_common.postinst $(DESTDIR)$(LIBDIR)/common.postinst
	install -D -m 0755 dkms_autoinstaller $(DESTDIR)$(LIBDIR)/dkms_autoinstaller
	$(if $(strip $(ETC)),$(error Setting ETC is not supported))
	install -D -m 0644 dkms_framework.conf $(DESTDIR)/etc/dkms/framework.conf
	install -d -m 0755 $(DESTDIR)/etc/dkms/framework.conf.d
	$(if $(strip $(BASHDIR)),$(error Setting BASHDIR is not supported))
	install -D -m 0644 dkms.bash-completion $(DESTDIR)/usr/share/bash-completion/completions/dkms
	install -D -m 0644 dkms.8 $(DESTDIR)/usr/share/man/man8/dkms.8
	install -D -m 0755 kernel_install.d_dkms $(DESTDIR)$(KCONF)/install.d/40-dkms.install
	install -D -m 0755 kernel_postinst.d_dkms $(DESTDIR)$(KCONF)/postinst.d/dkms
	install -D -m 0755 kernel_prerm.d_dkms $(DESTDIR)$(KCONF)/prerm.d/dkms

install-redhat: install
ifneq (,$(DESTDIR))
	$(if $(filter $(DESTDIR)%,$(SYSTEMD)),$(error Using a DESTDIR as prefix for SYSTEMD is no longer supported))
endif
	install -D -m 0644 dkms.service $(DESTDIR)$(SYSTEMD)/dkms.service

install-debian: install
	$(if $(strip $(SHAREDIR)),$(error Setting SHAREDIR is not supported))
	install -D -m 0755 dkms_apport.py $(DESTDIR)/usr/share/apport/package-hooks/dkms_packages.py
	install -D -m 0755 kernel_postinst.d_dkms $(DESTDIR)$(KCONF)/header_postinst.d/dkms

install-doc:
	$(if $(strip $(DOC)),$(error Setting DOCDIR is not supported))
	install -d -m 0755 $(DESTDIR)/usr/share/doc/dkms
	install -m 0644 COPYING README.md $(DESTDIR)/usr/share/doc/dkms

.PHONY = tarball

TARBALL=$(BUILDDIR)/dist/$(RELEASE_STRING).tar.gz
tarball: $(TARBALL)

$(TARBALL): all
	mkdir -p $(@D)
	git archive --prefix=$(RELEASE_STRING)/ --add-file=dkms --add-file=dkms.8 -o $@ HEAD

=== debian/changelog ===
dkms (3.0.12-5) unstable; urgency=medium

  * dkms: Use saner compression defaults.  (Closes: #1061427)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Feb 2024 20:54:03 +0100

dkms (3.0.12-4) unstable; urgency=medium

  * common.postinst: Use bash for extracting AUTOINSTALL from dkms.conf.
    (Closes: #1059885)
  * Stop recommending linux-headers-*.
    (Closes: #1059895, #918918, #968763, #637877, #755942, #762061, #951404)
  * postinst: Be less greedy and don't remove module source while cleaning up
    module builds with empty $arch from the dkms tree.  (Closes: #1059900)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 03 Jan 2024 20:16:57 +0100

dkms (3.0.12-3) unstable; urgency=medium

  * Autodetect module compression during tests.  (Closes: #1059894)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Jan 2024 14:10:36 +0100

dkms (3.0.12-2) experimental; urgency=medium

  * Cherry-pick upstream patches:
    - Use 'unbuild' instead of 'remove' in kernel prerm script to keep the
      modules in 'added' state.  (Closes: #621846, #894250)
    - Document MOK key *and* cert recreation behavior if MOK key *or* cert is
      missing.  (Closes: #1052243)
  * kernel/header_postinst.d hook: On header upgrades w/o package name change,
    'unbuild' all 'autoinstall'ed modules built against the old version first
    to ensure they get rebuilt against the upgraded headers on the next
    'autoinstall'.  (Closes: #1040401, #1034013)
  * common.postinst: Only build AUTOINSTALL="yes" modules on installation.
  * Clean up obsolete /etc/kernel/install.d/dkms, renamed to 40-dkms.install.
    (Closes: #1056949)
  * postinst: Clean up modules with empty $arch from dkms tree. (Cf. #1036033)
  * postinst: Clean up dangling source links from dkms tree.  (LP: #830915)
  * dh_dkms: Strip epoch from upstream version.  (Closes: #660043)
  * dh_dkms: Error out on invalid package versions.
  * dh_dkms: Always substitute #MODULE_VERSION#.  (Closes: #736803)
  * Add dkms-noautoinstall-test-dkms package with a trivial kernel module for
    dkms tests.
  * Add autopkgtests using dkms-noautoinstall-test-dkms.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Dec 2023 00:48:28 +0100

dkms (3.0.12-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * New autopkgtest: Test 32-bit i386 userspace with 64-bit kernel.
  * Only enumerate kernels that potentially have headers installed.
    (Closes: #1011317)
  * Clean up after depmod if modules.dep is empty.
  * postinst: Clean up leftover depmod files from removed kernels/headers.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Nov 2023 02:36:21 +0100

dkms (3.0.11-3) unstable; urgency=medium

  * autopkgtest fixes.
  * Drop Ubuntu-specific patch.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Jun 2023 17:15:58 +0200

dkms (3.0.11-2) unstable; urgency=medium

  * dh_dkms: Bump generated dkms dependency for new BUILD_EXCLUSIVE
    directives.
  * Fix and unify CC detection.
  * Fail early if $arch detection fails.  (Closes: #1036033, #842596)
  * Add Breaks against obsolete *-dkms packages that are incompatible with the
    Linux 6.1 kernel in bookworm.  (Closes: #1037425)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Jun 2023 19:02:14 +0200

=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Petter Reinholdtsen <pere@debian.org>,
 Aron Xu <aron@debian.org>,
 Mario Limonciello <Mario_Limonciello@dell.com>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/dell/dkms
Vcs-Git: https://salsa.debian.org/debian/dkms.git
Vcs-Browser: https://salsa.debian.org/debian/dkms
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: dkms
Architecture: all
Multi-Arch: foreign
Pre-Depends: lsb-release
Depends: ${misc:Depends},
 kmod | kldutils,
 gcc | c-compiler,
 dpkg-dev,
 make | build-essential,
 patch,
Recommends: fakeroot,
 sudo,
Suggests: menu, e2fsprogs
Breaks:
# in buster, not in bullseye
 sl-modem-dkms (<< 2.9.11~20110321-16.0),
# in stretch, not in buster
 blktap-dkms (<< 2.0.93-0.10.0),
# in jessie, not in stretch
 oss4-dkms (<< 4.2-build2020-1~),
# in wheezy, not in jessie
 blcr-dkms (<< 0.8.6~b3-1.0),
Provides:
 dkms-autopkgtest (= ${binary:Version}),
Description: Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

Package: dh-dkms
Architecture: all
Multi-Arch: foreign
Depends:
 ${perl:Depends},
 ${misc:Depends},
Breaks:
 dkms (<< 3.0.3-3~),
Replaces:
 dkms (<< 3.0.3-3~),
Provides:
 dh-sequence-dkms,
Description: debhelper addon for the Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.
 .
 This package provides a debhelper add-on 'dkms' that simplifies packaging of
 dkms kernel module source packages.

Package: dkms-test-dkms
Architecture: all
Depends:
 ${misc:Depends},
Description: trivial dkms test kernel module
 This package provides the dkms source code for the dkms_test kernel module.
 .
 This package is only intended for ci tests and not expected to be installed
 on regular systems

Package: dkms-noautoinstall-test-dkms
Architecture: all
Depends:
 ${misc:Depends},
Description: trivial dkms noautoinstall test kernel module
 This package provides the dkms source code for the dkms_noautoinstall_test
 kernel module.
 .
 This package is only intended for ci tests and not expected to be installed
 on regular systems

=== debian/tests/control ===
Test-Command: sh debian/tests/run_test_wrapper.sh
Features: test-name=run_test.sh
Depends:
 dkms,
 openssl,
 linux-headers-generic
 | linux-headers-rpi [armel]
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,
 skip-not-installable,

# install some-dkms after linux-headers
Test-Command: apt-get install -yf dkms-test-dkms && dkms status
Features: test-name=install_some-dkms_after_linux-headers
Architecture: amd64
Depends:
 dkms,
 linux-headers-generic,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,

# install linux-headers after some-dkms
Test-Command: apt-get install -yf linux-headers-generic && dkms status
Features: test-name=install_linux-headers_after_some-dkms
Architecture: amd64
Depends:
 dkms-test-dkms,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,

# install some-dkms after linux-image w/o linux-headers
Test-Command: apt-get install -yf dkms-test-dkms && dkms status
Features: test-name=install_some-dkms_after_linux-image_without_linux-headers
Architecture: amd64
Depends:
 dkms,
 linux-image-generic,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,

# install linux-image after some-dkms w/o linux-headers
Test-Command: apt-get install -yf linux-image-generic && dkms status
Features: test-name=install_linux-image_after_some-dkms_without_linux-headers
Architecture: amd64
Depends:
 dkms-test-dkms,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,

# install some-noautoinstall-dkms after linux-headers
Test-Command: apt-get install -yf dkms-noautoinstall-test-dkms && dkms status
Features: test-name=install_some-noautoinstall-dkms_after_linux-headers
Architecture: amd64
Depends:
 dkms,
 linux-headers-generic,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,

# install linux-headers after some-noautoinstall-dkms
Test-Command: apt-get install -yf linux-headers-generic && dkms status
Features: test-name=install_linux-headers_after_some-noautoinstall-dkms
Architecture: amd64
Depends:
 dkms-noautoinstall-test-dkms,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,

# 32-bit userspace with 64-bit kernel
# cf. https://bugs.debian.org/1042993
# workaround: apt-get install -yf linux-compiler-gcc-13-x86:amd64
Test-Command:
 dpkg --add-architecture amd64 &&
 apt-get update &&
 apt-get install -yf linux-headers-amd64 &&
 /usr/lib/dkms/dkms-autopkgtest dkms-test-dkms
Features: test-name=32-bit_userspace_with_64-bit_kernel
Architecture: i386
Depends:
 dkms,
Restrictions:
 allow-stderr,
 needs-root,
 breaks-testbed,
 flaky,

## dkms 3.0.13

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "24 September 2023"
+RELEASE_DATE := "6 March 2024"
 RELEASE_MAJOR := 3
 RELEASE_MINOR := 0
-RELEASE_MICRO := 12
+RELEASE_MICRO := 13
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -9,40 +9,51 @@
 
 SBIN = /usr/sbin
 LIBDIR = /usr/lib/dkms
+MODDIR = /lib/modules
 KCONF = /etc/kernel
 SYSTEMD = /usr/lib/systemd/system
 
 #Define the top-level build directory
 BUILDDIR := $(shell pwd)
 
-all: dkms dkms.8 dkms_autoinstaller dkms.service kernel_install.d_dkms kernel_postinst.d_dkms
+SED			?= sed
+SED_SUBSTITUTIONS	 = \
+	-e 's,@RELEASE_STRING@,$(RELEASE_STRING),g' \
+	-e 's,@RELEASE_DATE@,$(RELEASE_DATE),g' \
+	-e 's,@SBINDIR@,$(SBIN),g' \
+	-e 's,@KCONFDIR@,$(KCONF),g' \
+	-e 's,@MODDIR@,$(MODDIR),g' \
+	-e 's,@LIBDIR@,$(LIBDIR),g'
+
+%: %.in
+	$(SED) $(SED_SUBSTITUTIONS) $< > $@
+
+all: \
+	dkms \
+	dkms.8 \
+	dkms_autoinstaller \
+	dkms.bash-completion \
+	dkms.zsh-completion \
+	dkms_common.postinst \
+	dkms_framework.conf \
+	dkms.service \
+	kernel_install.d_dkms \
+	kernel_postinst.d_dkms \
+	kernel_prerm.d_dkms
 
 clean:
 	-rm -rf dist/
 	-rm -rf dkms
 	-rm -rf dkms.8
 	-rm -rf dkms_autoinstaller
+	-rm -rf dkms.bash-completion
+	-rm -rf dkms.zsh-completion
+	-rm -rf dkms_common.postinst
+	-rm -rf dkms_framework.conf
 	-rm -rf dkms.service
 	-rm -rf kernel_install.d_dkms
 	-rm -rf kernel_postinst.d_dkms
-
-dkms: dkms.in
-	sed -e 's/#RELEASE_STRING#/$(RELEASE_STRING)/' $^ > $@
-
-dkms.8: dkms.8.in
-	sed -e 's/#RELEASE_STRING#/$(RELEASE_STRING)/' -e 's/#RELEASE_DATE#/$(RELEASE_DATE)/' $^ > $@
-
-dkms_autoinstaller: dkms_autoinstaller.in
-	sed -e 's,@SBINDIR@,$(SBIN),g' $^ > $@
-
-dkms.service: dkms.service.in
-	sed -e 's,@SBINDIR@,$(SBIN),g' $^ > $@
-
-kernel_install.d_dkms: kernel_install.d_dkms.in
-	sed -e 's,@KCONFDIR@,$(KCONF),g' $^ > $@
-
-kernel_postinst.d_dkms: kernel_postinst.d_dkms.in
-	sed -e 's,@LIBDIR@,$(LIBDIR),g' $^ > $@
+	-rm -rf kernel_prerm.d_dkms
 
 install: all
 	$(if $(strip $(VAR)),$(error Setting VAR is not supported))
@@ -60,6 +71,7 @@
 	install -d -m 0755 $(DESTDIR)/etc/dkms/framework.conf.d
 	$(if $(strip $(BASHDIR)),$(error Setting BASHDIR is not supported))
 	install -D -m 0644 dkms.bash-completion $(DESTDIR)/usr/share/bash-completion/completions/dkms
+	install -D -m 0644 dkms.zsh-completion $(DESTDIR)/usr/share/zsh/site-functions/_dkms
 	install -D -m 0644 dkms.8 $(DESTDIR)/usr/share/man/man8/dkms.8
 	install -D -m 0755 kernel_install.d_dkms $(DESTDIR)$(KCONF)/install.d/40-dkms.install
 	install -D -m 0755 kernel_postinst.d_dkms $(DESTDIR)$(KCONF)/postinst.d/dkms

=== debian/changelog ===
dkms (3.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Downgrade compiler dependency to Recommends to ease cross installation.
    The linux-headers-* packages have a proper compiler dependency.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Mar 2024 11:33:57 +0100

=== debian/control ===
--- 
+++ 
@@ -20,12 +20,13 @@
 Multi-Arch: foreign
 Pre-Depends: lsb-release
 Depends: ${misc:Depends},
- kmod | kldutils,
- gcc | c-compiler,
+ kmod,
  dpkg-dev,
  make | build-essential,
  patch,
-Recommends: fakeroot,
+Recommends:
+ gcc | c-compiler,
+ fakeroot,
  sudo,
 Suggests: menu, e2fsprogs
 Breaks:

## dkms 3.1.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "6 March 2024"
+RELEASE_DATE := "1 October 2024"
 RELEASE_MAJOR := 3
-RELEASE_MINOR := 0
-RELEASE_MICRO := 13
+RELEASE_MINOR := 1
+RELEASE_MICRO := 0
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -11,6 +11,7 @@
 LIBDIR = /usr/lib/dkms
 MODDIR = /lib/modules
 KCONF = /etc/kernel
+KINSTALL = /usr/lib/kernel/install.d
 SYSTEMD = /usr/lib/systemd/system
 
 #Define the top-level build directory
@@ -73,7 +74,7 @@
 	install -D -m 0644 dkms.bash-completion $(DESTDIR)/usr/share/bash-completion/completions/dkms
 	install -D -m 0644 dkms.zsh-completion $(DESTDIR)/usr/share/zsh/site-functions/_dkms
 	install -D -m 0644 dkms.8 $(DESTDIR)/usr/share/man/man8/dkms.8
-	install -D -m 0755 kernel_install.d_dkms $(DESTDIR)$(KCONF)/install.d/40-dkms.install
+	install -D -m 0755 kernel_install.d_dkms $(DESTDIR)$(KINSTALL)/40-dkms.install
 	install -D -m 0755 kernel_postinst.d_dkms $(DESTDIR)$(KCONF)/postinst.d/dkms
 	install -D -m 0755 kernel_prerm.d_dkms $(DESTDIR)$(KCONF)/prerm.d/dkms

=== debian/changelog ===
dkms (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 18 Oct 2024 03:45:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Mario Limonciello <Mario_Limonciello@dell.com>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/dell/dkms
 Vcs-Git: https://salsa.debian.org/debian/dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/dkms

## dkms 3.1.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "1 October 2024"
+RELEASE_DATE := "19 December 2024"
 RELEASE_MAJOR := 3
 RELEASE_MINOR := 1
-RELEASE_MICRO := 0
+RELEASE_MICRO := 4
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -38,23 +38,25 @@
 	dkms_common.postinst \
 	dkms_framework.conf \
 	dkms.service \
-	kernel_install.d_dkms \
-	kernel_postinst.d_dkms \
-	kernel_prerm.d_dkms
+	debian_kernel_install.d \
+	debian_kernel_postinst.d \
+	debian_kernel_prerm.d \
+	redhat_kernel_install.d
 
 clean:
 	-rm -rf dist/
-	-rm -rf dkms
-	-rm -rf dkms.8
-	-rm -rf dkms_autoinstaller
-	-rm -rf dkms.bash-completion
-	-rm -rf dkms.zsh-completion
-	-rm -rf dkms_common.postinst
-	-rm -rf dkms_framework.conf
-	-rm -rf dkms.service
-	-rm -rf kernel_install.d_dkms
-	-rm -rf kernel_postinst.d_dkms
-	-rm -rf kernel_prerm.d_dkms
+	-rm -f dkms
+	-rm -f dkms.8
+	-rm -f dkms_autoinstaller
+	-rm -f dkms.bash-completion
+	-rm -f dkms.zsh-completion
+	-rm -f dkms_common.postinst
+	-rm -f dkms_framework.conf
+	-rm -f dkms.service
+	-rm -f debian_kernel_install.d
+	-rm -f debian_kernel_postinst.d
+	-rm -f debian_kernel_prerm.d
+	-rm -f redhat_kernel_install.d
 
 install: all
 	$(if $(strip $(VAR)),$(error Setting VAR is not supported))
@@ -65,8 +67,6 @@
 	$(if $(filter $(DESTDIR)%,$(KCONF)),$(error Using a DESTDIR as prefix for KCONF is no longer supported))
 endif
 	install -D -m 0755 dkms $(DESTDIR)$(SBIN)/dkms
-	install -D -m 0755 dkms_common.postinst $(DESTDIR)$(LIBDIR)/common.postinst
-	install -D -m 0755 dkms_autoinstaller $(DESTDIR)$(LIBDIR)/dkms_autoinstaller
 	$(if $(strip $(ETC)),$(error Setting ETC is not supported))
 	install -D -m 0644 dkms_framework.conf $(DESTDIR)/etc/dkms/framework.conf
 	install -d -m 0755 $(DESTDIR)/etc/dkms/framework.conf.d
@@ -74,20 +74,24 @@
 	install -D -m 0644 dkms.bash-completion $(DESTDIR)/usr/share/bash-completion/completions/dkms
 	install -D -m 0644 dkms.zsh-completion $(DESTDIR)/usr/share/zsh/site-functions/_dkms
 	install -D -m 0644 dkms.8 $(DESTDIR)/usr/share/man/man8/dkms.8
-	install -D -m 0755 kernel_install.d_dkms $(DESTDIR)$(KINSTALL)/40-dkms.install
-	install -D -m 0755 kernel_postinst.d_dkms $(DESTDIR)$(KCONF)/postinst.d/dkms
-	install -D -m 0755 kernel_prerm.d_dkms $(DESTDIR)$(KCONF)/prerm.d/dkms
 
 install-redhat: install
 ifneq (,$(DESTDIR))
 	$(if $(filter $(DESTDIR)%,$(SYSTEMD)),$(error Using a DESTDIR as prefix for SYSTEMD is no longer supported))
 endif
 	install -D -m 0644 dkms.service $(DESTDIR)$(SYSTEMD)/dkms.service
+	install -D -m 0755 redhat_kernel_install.d $(DESTDIR)$(KINSTALL)/40-dkms.install
+	install -D -m 0755 dkms_common.postinst $(DESTDIR)$(LIBDIR)/common.postinst
 
 install-debian: install
 	$(if $(strip $(SHAREDIR)),$(error Setting SHAREDIR is not supported))
+	install -D -m 0755 dkms_autoinstaller $(DESTDIR)$(LIBDIR)/dkms_autoinstaller
 	install -D -m 0755 dkms_apport.py $(DESTDIR)/usr/share/apport/package-hooks/dkms_packages.py
-	install -D -m 0755 kernel_postinst.d_dkms $(DESTDIR)$(KCONF)/header_postinst.d/dkms
+	install -D -m 0755 dkms_common.postinst $(DESTDIR)$(LIBDIR)/common.postinst
+	install -D -m 0755 debian_kernel_install.d $(DESTDIR)$(KINSTALL)/40-dkms.install
+	install -D -m 0755 debian_kernel_postinst.d $(DESTDIR)$(KCONF)/postinst.d/dkms
+	install -D -m 0755 debian_kernel_postinst.d $(DESTDIR)$(KCONF)/header_postinst.d/dkms
+	install -D -m 0755 debian_kernel_prerm.d $(DESTDIR)$(KCONF)/prerm.d/dkms
 
 install-doc:
 	$(if $(strip $(DOC)),$(error Setting DOCDIR is not supported))

=== debian/changelog ===
dkms (3.1.4-1) experimental; urgency=medium

  * New upstream release.  (Closes: #1088640)
  * Refresh patches.
  * Add dkms-replace-test-dkms package with a trivial kernel module for dkms
    tests.
  * Fix dkms_autoinstaller error propagation.  (Closes: #1093556)
  * Ensure modules get rebuilt once on kernel upgrades w/o version change.
    (Closes: #1076351)
  * dkms-autopkgtest: Update module-is-installed regex again.
  * Remove Mario Limonciello from Uploaders at his request.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jan 2025 05:31:56 +0100

dkms (3.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 15:57:54 -0500

dkms (3.1.0-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Beckmann ]
  * Clean up /etc/kernel/install.d/40-dkms.install, moved to /usr.
    (Closes: #1086441)

  [ Jeremy Sowden ]
  * d/s/dkms-autopkgtest: fix testing of packages that override original modules
    (Closes: #1088558).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 06 Jan 2025 23:40:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: David Paleino <dapal@debian.org>,
  Petter Reinholdtsen <pere@debian.org>,
  Aron Xu <aron@debian.org>,
- Mario Limonciello <Mario_Limonciello@dell.com>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.7.0
@@ -72,8 +71,8 @@
 Description: trivial dkms test kernel module
  This package provides the dkms source code for the dkms_test kernel module.
  .
- This package is only intended for ci tests and not expected to be installed
- on regular systems
+ This package is only intended for CI tests and not expected to be installed
+ on regular systems.
 
 Package: dkms-noautoinstall-test-dkms
 Architecture: all
@@ -83,5 +82,17 @@
  This package provides the dkms source code for the dkms_noautoinstall_test
  kernel module.
  .
- This package is only intended for ci tests and not expected to be installed
- on regular systems
+ This package is only intended for CI tests and not expected to be installed
+ on regular systems.
+
+Package: dkms-replace-test-dkms
+Architecture: all
+Depends:
+ dkms-test-dkms,
+ ${misc:Depends},
+Description: trivial dkms replace test kernel module
+ This package provides the dkms source code for the dkms_replace_test
+ kernel module.
+ .
+ This package is only intended for CI tests and not expected to be installed
+ on regular systems.

## dkms 3.1.5

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "19 December 2024"
+RELEASE_DATE := "30 January 2025"
 RELEASE_MAJOR := 3
 RELEASE_MINOR := 1
-RELEASE_MICRO := 4
+RELEASE_MICRO := 5
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -29,7 +29,7 @@
 %: %.in
 	$(SED) $(SED_SUBSTITUTIONS) $< > $@
 
-all: \
+GENERATED= \
 	dkms \
 	dkms.8 \
 	dkms_autoinstaller \
@@ -43,20 +43,11 @@
 	debian_kernel_prerm.d \
 	redhat_kernel_install.d
 
+all: $(GENERATED)
+
 clean:
 	-rm -rf dist/
-	-rm -f dkms
-	-rm -f dkms.8
-	-rm -f dkms_autoinstaller
-	-rm -f dkms.bash-completion
-	-rm -f dkms.zsh-completion
-	-rm -f dkms_common.postinst
-	-rm -f dkms_framework.conf
-	-rm -f dkms.service
-	-rm -f debian_kernel_install.d
-	-rm -f debian_kernel_postinst.d
-	-rm -f debian_kernel_prerm.d
-	-rm -f redhat_kernel_install.d
+	$(RM) $(GENERATED)
 
 install: all
 	$(if $(strip $(VAR)),$(error Setting VAR is not supported))

=== debian/changelog ===
dkms (3.1.5-2) unstable; urgency=medium

  * dkms-autopkgtest: Support manual execution with a .deb file argument.
  * Add Breaks against more obsolete *-dkms packages.
  * run_test.sh: Extract only the major part of the kmod version.
    (Closes: #1099711)
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Mar 2025 09:08:57 +0100

dkms (3.1.5-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1009645, #706868)
  * Refresh patches.
  * framework.conf.d: Enable autoinstall_all_kernels="yes" by default.
    (Closes: #1087433)
  * dkms-autopkgtest: Skip test (exit 0) on i386 (no more kernels or headers).
  * dkms-autopkgtest: Skip test (exit 77) if no linux-headers-* seem to exist.
  * Skip upstream testsuite on i386.
  * Add Breaks against obsolete *-dkms packages that are incompatible with the
    Linux 6.12 kernel in trixie.
  * Remove outdated HOWTO.Debian.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2025 04:13:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Aron Xu <aron@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/dell/dkms
 Vcs-Git: https://salsa.debian.org/debian/dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/dkms
@@ -29,14 +29,49 @@
  sudo,
 Suggests: menu, e2fsprogs
 Breaks:
+# fewer supported architectures in trixie than before
+ broadcom-sta-dkms (<< 6.30.223.271-25.1~),
+ tp-smapi-dkms (<< 0.44-1.2~),
+# in bookworm, not in trixie
+ adv-17v35x-dkms (<< 5.0.7.0-1.0),
+ falcosecurity-scap-dkms (< 0.20),
+ nat-rtsp-dkms (<< 0.7+5.3-0.3~),
+# fewer supported architectures in bookworm than before
+ bbswitch-dkms (<< 0.8-12~),
+# in bullseye, not in bookworm
+ spl-dkms (<< 2.1),
+ wireguard-dkms (<< 1.0.20210606-1.0),
 # in buster, not in bullseye
+ aufs-dkms (<< 5.2+20190909-1.1.0),
+ dpdk-igb-uio-dkms (<< 20.08-1.0),
+ dpdk-rte-kni-dkms (<< 18.11.11-1.0),
+ kpatch-dkms (<< 0.6.0-0.2.0),
+ mali-midgard-dkms (<< 16.0+pristine-4.0),
+ ndiswrapper-dkms (<< 1.60-8.0),
  sl-modem-dkms (<< 2.9.11~20110321-16.0),
 # in stretch, not in buster
+ asic0x-dkms (<< 1.0.1-1.0),
+ backfire-dkms (<< 1.0-1.0),
  blktap-dkms (<< 2.0.93-0.10.0),
+ flashcache-dkms (<< 3.1.3+git20150701-5.0),
+ open-vm-tools-dkms (<< 2:10.1.15-1.0),
+ sysdig-dkms (<< 0.27.1-0.3.0),
 # in jessie, not in stretch
+ fglrx-modules-dkms (<< 1:15.12-2.0),
+ iscsitarget-dkms (<< 1.4.20.3+svn502-2.0),
  oss4-dkms (<< 4.2-build2020-1~),
+ virtualbox-dkms (<< 5),
+ virtualbox-guest-dkms (<< 7),
 # in wheezy, not in jessie
  blcr-dkms (<< 0.8.6~b3-1.0),
+ fuse4bsd-dkms (<< 0.3.9~pre1.20080208-8.0),
+ openswan-modules-dkms (<< 1:2.6.38-1.0),
+ openvswitch-datapath-dkms (<< 2.1.0+git20140411-3.0),
+ virtualbox-ose-dkms (<< 5),
+ virtualbox-ose-guest-dkms (<< 5),
+# in squeeze, not in wheezy
+ batman-adv-dkms (<< 2011.1.0-1.0),
+ batmand-gateway-dkms (<< 0.3.2-9.0),
 Provides:
  dkms-autopkgtest (= ${binary:Version}),
 Description: Dynamic Kernel Module System (DKMS)

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Test-Command: sh debian/tests/run_test_wrapper.sh
 Features: test-name=run_test.sh
+Architecture: !i386
 Depends:
  dkms,
  openssl,
@@ -9,7 +10,6 @@
  allow-stderr,
  needs-root,
  breaks-testbed,
- skip-not-installable,
 
 # install some-dkms after linux-headers
 Test-Command: apt-get install -yf dkms-test-dkms && dkms status

## dkms 3.1.7

=== debian/changelog ===
dkms (3.1.7-2) unstable; urgency=medium

  * Skip autopkgtest without /proc if it cannot be unmounted.
  * Unbreak zfs-dkms post_build script.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 Apr 2025 22:50:46 +0200

dkms (3.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Install zsh completions in /usr/share/zsh/vendor-completions/.
  * New autopkgtest: Run upstream testsuite with /proc unmounted.
  * Ship dkms.service.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 04 Apr 2025 02:09:34 +0200

## dkms 3.1.8

=== debian/changelog ===
dkms (3.1.8-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1102075, #1098805)
  * Suppress the CLEAN deprecation warning for trixie.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Apr 2025 00:23:30 +0200

=== debian/control ===
--- 
+++ 
@@ -31,10 +31,11 @@
 Breaks:
 # fewer supported architectures in trixie than before
  broadcom-sta-dkms (<< 6.30.223.271-25.1~),
+ dahdi-dkms (<< 1:3.1.0+git20230717~dfsg-10.1~),
  tp-smapi-dkms (<< 0.44-1.2~),
 # in bookworm, not in trixie
  adv-17v35x-dkms (<< 5.0.7.0-1.0),
- falcosecurity-scap-dkms (< 0.20),
+ falcosecurity-scap-dkms (<< 0.20),
  nat-rtsp-dkms (<< 0.7+5.3-0.3~),
 # fewer supported architectures in bookworm than before
  bbswitch-dkms (<< 0.8-12~),

## dkms 3.2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "30 January 2025"
+RELEASE_DATE := "07 May 2025"
 RELEASE_MAJOR := 3
-RELEASE_MINOR := 1
-RELEASE_MICRO := 5
+RELEASE_MINOR := 2
+RELEASE_MICRO := 0
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -40,6 +40,7 @@
 	dkms.service \
 	debian_kernel_install.d \
 	debian_kernel_postinst.d \
+	debian_kernel_preinst.d \
 	debian_kernel_prerm.d \
 	redhat_kernel_install.d
 
@@ -82,7 +83,9 @@
 	install -D -m 0755 debian_kernel_install.d $(DESTDIR)$(KINSTALL)/40-dkms.install
 	install -D -m 0755 debian_kernel_postinst.d $(DESTDIR)$(KCONF)/postinst.d/dkms
 	install -D -m 0755 debian_kernel_postinst.d $(DESTDIR)$(KCONF)/header_postinst.d/dkms
+	install -D -m 0755 debian_kernel_preinst.d $(DESTDIR)$(KCONF)/preinst.d/dkms
 	install -D -m 0755 debian_kernel_prerm.d $(DESTDIR)$(KCONF)/prerm.d/dkms
+	install -D -m 0644 dkms.service $(DESTDIR)$(SYSTEMD)/dkms.service
 
 install-doc:
 	$(if $(strip $(DOC)),$(error Setting DOCDIR is not supported))

=== test/dkms_circular_dependencies_test-1.0/Makefile ===
obj-m += dkms_circular_dependencies_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== test/dkms_dependencies_test-1.0/Makefile ===
obj-m += dkms_dependencies_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== test/dkms_duplicate_built_test-1.0/Makefile ===
obj-m += dkms_duplicate_built_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== test/dkms_emptyver_test/Makefile ===
obj-m += dkms_emptyver_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== test/dkms_failing_dependencies_test-1.0/Makefile ===
all:
	@echo ERROR: This module should never build.
	@exit 1

=== test/dkms_scripts_test-1.0/Makefile ===
obj-m += dkms_scripts_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== test/dkms_multiver_test/1.0/Makefile ===
obj-m += dkms_multiver_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== debian/changelog ===
dkms (3.2.0-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Oct 2025 10:53:16 -0700

dkms (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 May 2025 04:47:51 +0200

=== debian/control ===
Source: dkms
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dynamic Kernel Module System Team <dkms@packages.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Petter Reinholdtsen <pere@debian.org>,
           Aron Xu <aron@debian.org>,
           Andreas Beckmann <anbe@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://github.com/dell/dkms
Vcs-Git: https://salsa.debian.org/debian/dkms.git
Vcs-Browser: https://salsa.debian.org/debian/dkms
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: dkms
Architecture: all
Multi-Arch: foreign
Pre-Depends: lsb-release
Depends: dpkg-dev, kmod, make | build-essential, patch, ${misc:Depends}
Recommends: fakeroot, gcc | c-compiler, sudo
Suggests: e2fsprogs, menu
Breaks:
# in bookworm, not in trixie
        adv-17v35x-dkms (<< 5.0.7.0-1.0),
# in stretch, not in buster
        asic0x-dkms (<< 1.0.1-1.0),
# in buster, not in bullseye
        aufs-dkms (<< 5.2+20190909-1.1.0),
        backfire-dkms (<< 1.0-1.0),
# in squeeze, not in wheezy
        batman-adv-dkms (<< 2011.1.0-1.0),
        batmand-gateway-dkms (<< 0.3.2-9.0),
# fewer supported architectures in bookworm than before
        bbswitch-dkms (<< 0.8-12~),
# in wheezy, not in jessie
        blcr-dkms (<< 0.8.6~b3-1.0),
        blktap-dkms (<< 2.0.93-0.10.0),
# fewer supported architectures in trixie than before
        broadcom-sta-dkms (<< 6.30.223.271-25.1~),
        dahdi-dkms (<< 1:3.1.0+git20230717~dfsg-10.1~),
        dpdk-igb-uio-dkms (<< 20.08-1.0),
        dpdk-rte-kni-dkms (<< 18.11.11-1.0),
# in jessie, not in stretch
        fglrx-modules-dkms (<< 1:15.12-2.0),
        flashcache-dkms (<< 3.1.3+git20150701-5.0),
        fuse4bsd-dkms (<< 0.3.9~pre1.20080208-8.0),
        iscsitarget-dkms (<< 1.4.20.3+svn502-2.0),
        kpatch-dkms (<< 0.6.0-0.2.0),
        mali-midgard-dkms (<< 16.0+pristine-4.0),
        nat-rtsp-dkms (<< 0.7+5.3-0.3~),
        ndiswrapper-dkms (<< 1.60-8.0),
        nvidia-kernel-dkms (<< 535.230),
        open-vm-tools-dkms (<< 2:10.1.15-1.0),
        openswan-modules-dkms (<< 1:2.6.38-1.0),
        openvswitch-datapath-dkms (<< 2.1.0+git20140411-3.0),
        oss4-dkms (<< 4.2-build2020-1~),
        sl-modem-dkms (<< 2.9.11~20110321-16.0),
# in bullseye, not in bookworm
        spl-dkms (<< 2.1),
        sysdig-dkms (<< 0.27.1-0.3.0),
        tp-smapi-dkms (<< 0.44-1.2~),
        virtualbox-dkms (<< 5),
        virtualbox-guest-dkms (<< 7),
        virtualbox-ose-dkms (<< 5),
        virtualbox-ose-guest-dkms (<< 5),
        wireguard-dkms (<< 1.0.20210606-1.0)
Provides: dkms-autopkgtest (= ${binary:Version})
Description: Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.

Package: dh-dkms
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: dkms (<< 3.0.3-3~)
Replaces: dkms (<< 3.0.3-3~)
Provides: dh-sequence-dkms
Description: debhelper addon for the Dynamic Kernel Module System (DKMS)
 DKMS is a framework designed to allow individual kernel modules to be upgraded
 without changing the whole kernel. It is also very easy to rebuild modules as
 you upgrade kernels.
 .
 This package provides a debhelper add-on 'dkms' that simplifies packaging of
 dkms kernel module source packages.

Package: dkms-test-dkms
Architecture: all
Depends: ${misc:Depends}
Description: trivial dkms test kernel module
 This package provides the dkms source code for the dkms_test kernel module.
 .
 This package is only intended for CI tests and not expected to be installed
 on regular systems.

Package: dkms-noautoinstall-test-dkms
Architecture: all
Depends: ${misc:Depends}
Description: trivial dkms noautoinstall test kernel module
 This package provides the dkms source code for the dkms_noautoinstall_test
 kernel module.
 .
 This package is only intended for CI tests and not expected to be installed
 on regular systems.

Package: dkms-replace-test-dkms
Architecture: all
Depends: dkms-test-dkms, ${misc:Depends}
Description: trivial dkms replace test kernel module
 This package provides the dkms source code for the dkms_replace_test
 kernel module.
 .
 This package is only intended for CI tests and not expected to be installed
 on regular systems.

=== debian/tests/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Test-Command: sh debian/tests/run_test_wrapper.sh
 Features: test-name=run_test.sh
 Architecture: !i386
-Depends:
- dkms,
- openssl,
- linux-headers-generic
- | linux-headers-rpi [armel]
+Depends: dkms, linux-headers-generic | linux-headers-rpi [armel], openssl
 Restrictions:
  allow-stderr,
  needs-root,
  breaks-testbed,
 
+Test-Command: umount /proc || exit 77 && sh debian/tests/run_test_wrapper.sh
+Features: test-name=run_test.sh_without_proc
+Architecture: !i386
+Depends: dkms, linux-headers-generic | linux-headers-rpi [armel], openssl
+Restrictions:
+ allow-stderr,
+ needs-root,
+ breaks-testbed,
+ skippable,
+
 # install some-dkms after linux-headers
 Test-Command: apt-get install -yf dkms-test-dkms && dkms status
 Features: test-name=install_some-dkms_after_linux-headers
 Architecture: amd64
-Depends:
- dkms,
- linux-headers-generic,
+Depends: dkms, linux-headers-generic
 Restrictions:
  allow-stderr,
  needs-root,
@@ -27,8 +31,7 @@
 Test-Command: apt-get install -yf linux-headers-generic && dkms status
 Features: test-name=install_linux-headers_after_some-dkms
 Architecture: amd64
-Depends:
- dkms-test-dkms,
+Depends: dkms-test-dkms
 Restrictions:
  allow-stderr,
  needs-root,
@@ -38,9 +41,7 @@
 Test-Command: apt-get install -yf dkms-test-dkms && dkms status
 Features: test-name=install_some-dkms_after_linux-image_without_linux-headers
 Architecture: amd64
-Depends:
- dkms,
- linux-image-generic,
+Depends: dkms, linux-image-generic
 Restrictions:
  allow-stderr,
  needs-root,
@@ -50,8 +51,7 @@
 Test-Command: apt-get install -yf linux-image-generic && dkms status
 Features: test-name=install_linux-image_after_some-dkms_without_linux-headers
 Architecture: amd64
-Depends:
- dkms-test-dkms,
+Depends: dkms-test-dkms
 Restrictions:
  allow-stderr,
  needs-root,
@@ -61,9 +61,7 @@
 Test-Command: apt-get install -yf dkms-noautoinstall-test-dkms && dkms status
 Features: test-name=install_some-noautoinstall-dkms_after_linux-headers
 Architecture: amd64
-Depends:
- dkms,
- linux-headers-generic,
+Depends: dkms, linux-headers-generic
 Restrictions:
  allow-stderr,
  needs-root,
@@ -73,8 +71,7 @@
 Test-Command: apt-get install -yf linux-headers-generic && dkms status
 Features: test-name=install_linux-headers_after_some-noautoinstall-dkms
 Architecture: amd64
-Depends:
- dkms-noautoinstall-test-dkms,
+Depends: dkms-noautoinstall-test-dkms
 Restrictions:
  allow-stderr,
  needs-root,
@@ -90,8 +87,7 @@
  /usr/lib/dkms/dkms-autopkgtest dkms-test-dkms
 Features: test-name=32-bit_userspace_with_64-bit_kernel
 Architecture: i386
-Depends:
- dkms,
+Depends: dkms
 Restrictions:
  allow-stderr,
  needs-root,

## dkms 3.2.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-RELEASE_DATE := "07 May 2025"
+RELEASE_DATE := "12 Sep 2025"
 RELEASE_MAJOR := 3
 RELEASE_MINOR := 2
-RELEASE_MICRO := 0
+RELEASE_MICRO := 2
 RELEASE_NAME := dkms
 RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_MICRO)
 RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -85,7 +85,6 @@
 	install -D -m 0755 debian_kernel_postinst.d $(DESTDIR)$(KCONF)/header_postinst.d/dkms
 	install -D -m 0755 debian_kernel_preinst.d $(DESTDIR)$(KCONF)/preinst.d/dkms
 	install -D -m 0755 debian_kernel_prerm.d $(DESTDIR)$(KCONF)/prerm.d/dkms
-	install -D -m 0644 dkms.service $(DESTDIR)$(SYSTEMD)/dkms.service
 
 install-doc:
 	$(if $(strip $(DOC)),$(error Setting DOCDIR is not supported))

=== test/dkms_build_exclusive_dependencies_test-1.0/Makefile ===
all:
	@echo ERROR: This module fails to build.
	@exit 1

=== test/dkms_crlf_test-1.0/Makefile ===
obj-m += dkms_dos_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== test/dkms_deprecated_test-1.0/Makefile ===
obj-m += dkms_deprecated_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== test/dkms_duplicate_test/Makefile ===
obj-m += dkms_duplicate_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== test/dkms_noisy_test-1.0/Makefile ===
all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== test/dkms_nover_update_test/1.0/Makefile ===
obj-m += dkms_nover_update_test.o

all:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules

clean:
	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) clean

=== debian/changelog ===
dkms (3.2.2-1~deb13u1) trixie; urgency=medium

  * Rebuild for trixie.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 01 Nov 2025 20:49:32 +0100

dkms (3.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Stop shipping dkms.service. Not really needed and causes a dependency
    cycle with cloud-init-network.service.  (Closes: #1107232)
  * common.postinst: Emit a warning if no kernel headers were found.
    (Closes: #1114731)
  * Drop Pre-Depends: lsb-release, no longer used since 3.0.12.
  * Add Breaks against more obsolete *-dkms packages.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Sep 2025 00:42:50 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

debian/scripts/dh_dkms: debian/scripts/dh_dkms.in
	sed -r "s,^#VERSION#,our \$$VERSION = \"$(DEB_VERSION)\";," $< > $@
	chmod +x $@

debian/scripts/dh_dkms.1: debian/scripts/dh_dkms
	pod2man \
		--center "DKMS Debhelper" \
		--release $(DEB_VERSION_UPSTREAM) \
		$< > $@

override_dh_auto_build: debian/scripts/dh_dkms
override_dh_auto_build: debian/scripts/dh_dkms.1

override_dh_auto_install:
	$(MAKE) install-debian DESTDIR=$(CURDIR)/debian/tmp

execute_after_dh_install:
	DH_AUTOSCRIPTDIR=debian/scripts debian/scripts/dh_dkms

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,11 @@
 Test-Command: sh debian/tests/run_test_wrapper.sh
 Features: test-name=run_test.sh
 Architecture: !i386
-Depends: dkms, linux-headers-generic | linux-headers-rpi [armel], openssl
+Depends:
+ dkms,
+ openssl,
+ linux-headers-generic
+ | linux-headers-rpi [armel]
 Restrictions:
  allow-stderr,
  needs-root,
@@ -10,7 +14,11 @@
 Test-Command: umount /proc || exit 77 && sh debian/tests/run_test_wrapper.sh
 Features: test-name=run_test.sh_without_proc
 Architecture: !i386
-Depends: dkms, linux-headers-generic | linux-headers-rpi [armel], openssl
+Depends:
+ dkms,
+ openssl,
+ linux-headers-generic
+ | linux-headers-rpi [armel]
 Restrictions:
  allow-stderr,
  needs-root,
@@ -21,7 +29,9 @@
 Test-Command: apt-get install -yf dkms-test-dkms && dkms status
 Features: test-name=install_some-dkms_after_linux-headers
 Architecture: amd64
-Depends: dkms, linux-headers-generic
+Depends:
+ dkms,
+ linux-headers-generic,
 Restrictions:
  allow-stderr,
  needs-root,
@@ -31,7 +41,8 @@
 Test-Command: apt-get install -yf linux-headers-generic && dkms status
 Features: test-name=install_linux-headers_after_some-dkms
 Architecture: amd64
-Depends: dkms-test-dkms
+Depends:
+ dkms-test-dkms,
 Restrictions:
  allow-stderr,
  needs-root,
@@ -41,7 +52,9 @@
 Test-Command: apt-get install -yf dkms-test-dkms && dkms status
 Features: test-name=install_some-dkms_after_linux-image_without_linux-headers
 Architecture: amd64
-Depends: dkms, linux-image-generic
+Depends:
+ dkms,
+ linux-image-generic,
 Restrictions:
  allow-stderr,
  needs-root,
@@ -51,7 +64,8 @@
 Test-Command: apt-get install -yf linux-image-generic && dkms status
 Features: test-name=install_linux-image_after_some-dkms_without_linux-headers
 Architecture: amd64
-Depends: dkms-test-dkms
+Depends:
+ dkms-test-dkms,
 Restrictions:
  allow-stderr,
  needs-root,
@@ -61,7 +75,9 @@
 Test-Command: apt-get install -yf dkms-noautoinstall-test-dkms && dkms status
 Features: test-name=install_some-noautoinstall-dkms_after_linux-headers
 Architecture: amd64
-Depends: dkms, linux-headers-generic
+Depends:
+ dkms,
+ linux-headers-generic,
 Restrictions:
  allow-stderr,
  needs-root,
@@ -71,7 +87,8 @@
 Test-Command: apt-get install -yf linux-headers-generic && dkms status
 Features: test-name=install_linux-headers_after_some-noautoinstall-dkms
 Architecture: amd64
-Depends: dkms-noautoinstall-test-dkms
+Depends:
+ dkms-noautoinstall-test-dkms,
 Restrictions:
  allow-stderr,
  needs-root,
@@ -87,7 +104,8 @@
  /usr/lib/dkms/dkms-autopkgtest dkms-test-dkms
 Features: test-name=32-bit_userspace_with_64-bit_kernel
 Architecture: i386
-Depends: dkms
+Depends:
+ dkms,
 Restrictions:
  allow-stderr,
  needs-root,
